FROM openshift3/ose-base:v3.11.521.20210905.202840
ENV __doozer=update BUILD_RELEASE=1.git.a9fd527 BUILD_VERSION=v3.11.521 OS_GIT_MAJOR=3 OS_GIT_MINOR=11 OS_GIT_PATCH=521 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=3.11.521-1.git.a9fd527 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a9fd527 OS_GIT_VERSION=3.11.521-1.git.a9fd527-a9fd527 SOURCE_DATE_EPOCH=1624983668 SOURCE_GIT_COMMIT=a9fd5276e0ba13dde384e4d0c0773047a2572788 SOURCE_GIT_TAG=v3.11.0-87-ga9fd5276 SOURCE_GIT_URL=https://github.com/openshift/cluster-monitoring-operator 

ENV GOPATH /go
ENV PATH="${PATH}:${GOPATH}/bin"
RUN mkdir $GOPATH

COPY . $GOPATH/src/github.com/openshift/cluster-monitoring-operator

RUN yum install -y golang make git && \
    cd $GOPATH/src/github.com/openshift/cluster-monitoring-operator && \
    make operator-no-deps && cp $GOPATH/src/github.com/openshift/cluster-monitoring-operator/operator /usr/bin/ && \
    yum autoremove -y golang make git && yum clean all


# doesn't require a root user.
USER 1001

ENTRYPOINT ["/usr/bin/operator"]

LABEL \
        io.k8s.display-name="OpenShift cluster-monitoring-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of the Prometheus based cluster monitoring stack." \
        io.openshift.tags="openshift" \
        maintainer="Frederic Branczyk <fbranczy@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift3/ose-cluster-monitoring-operator" \
        com.redhat.component="cluster-monitoring-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="1.git.a9fd527" \
        io.openshift.build.commit.id="a9fd5276e0ba13dde384e4d0c0773047a2572788" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-monitoring-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-monitoring-operator/commit/a9fd5276e0ba13dde384e4d0c0773047a2572788" \
        version="v3.11.521"

